%define prefix   /usr

Summary: Urlgfe download manager.
Name: urlgfe
Version: 0.98b
Vendor: Raymond Huang
Release: 1
License: LGPL
Group: Applications/Internet
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
Packager: Raymond Huang <plushuang at users.sourceforge.net>
#Requires: curl >= 7.11.0, pcre >= 4.5
#BuildPrereq: pcre-devel >= 4.5

%description
Urlgfe is a download manager that uses GTK+2 ,libcurl, and pcre.
It allows you to classify URLs before downloading them, and allows you to import URLs from HTML files.
Every category has an independent configuration that can be inherited by each download in that category.

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure --prefix=%{prefix}

%install
# rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# for binary package only
# mkdir $RPM_BUILD_ROOT
# tar zxvf $RPM_SOURCE_DIR/%{name}-%{version}.tar.gz -C $RPM_BUILD_ROOT

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
# /sbin/ldconfig

%postun
# /sbin/ldconfig

%files
%attr(-,root,root) %{prefix}/bin
%attr(-,root,root) %{prefix}/share
%doc AUTHORS COPYING COPYING.libcurl COPYRIGHT ChangeLog NEWS README LICENSE.OpenSSL
#%{prefix}/bin
#%{prefix}/share

